Package Details: holyspirit-svn 2420-5

Git Clone URL: https://aur.archlinux.org/holyspirit-svn.git (read-only)
Package Base: holyspirit-svn
Description: Action role-playing game (ARPG, like diablo)
Upstream URL: http://sourceforge.net/projects/lechemindeladam/
Licenses: GPL
Conflicts: holyspirit
Provides: holyspirit
Submitter: Svenstaro
Maintainer: JonnyJD
Last Packager: JonnyJD
Votes: 8
Popularity: 0.000000
First Submitted: 2012-06-08 17:39
Last Updated: 2015-10-28 10:49

Dependencies (5)

Required by (0)

Sources (5)

  • config_crash.patch
  • convertCoords.patch
  • holyspirit.sh
  • holyspirit
  • qt-includes.patch

Latest Comments

JonnyJD commented on 2015-10-28 10:50

oh boy, that is shady -> used the sourceforge page now

Thanks for the notice.

mzneverdies commented on 2015-10-27 12:44

Upstream URL points to a movie repository...

JonnyJD commented on 2013-04-30 13:34

@ajes:
I tried to port holyspirit to sfml 2.0. It compiles now, but I get a segfault when playing the game now:
Loading various images :
XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":0.1"
after 2142 requests (2142 known processed) with 20 events remaining.
Failed to use the XRandR extension while trying to get the desktop video modes
Failed to get the window attributes

That is either a problem on my system, or the current sfml build or another problem in holyspirit that needs to be fixed.

If you want to try it with sfml-2.0rc1, you should try this version of the PKGBUILD (including patches):
https://github.com/JonnyJD/PKGBUILDs/tree/ca8f6755523b4a7d58dd3e38170412ee66e39090/holyspirit-svn
That one worked (with 2.0rc1).

JonnyJD commented on 2013-04-30 12:39

@ajes:
You are supposed to have "base-devel" installed when using the AUR.
See: https://wiki.archlinux.org/index.php/PKGBUILD#makedepends

For the other error message:
It looks like sfml 2.0 was finally released now. The package That means I have to remove one patch, but create another one. Stay tuned.
Downgrading to sfml 2.0rc1 would also work as a workaround.

ajes commented on 2013-04-30 11:51

[ 13%] Building CXX object CMakeFiles/Holyspirit.dir/Source/Contextes/c_jeu.cpp.o
/home/artur/blee/yaourt-tmp-artur/aur-holyspirit-svn/src/holyspirit/Source/Contextes/c_jeu.cpp: In function ‘int GestionBoutons(Jeu*, bool, bool, bool)’:
/home/artur/blee/yaourt-tmp-artur/aur-holyspirit-svn/src/holyspirit/Source/Contextes/c_jeu.cpp:588:39: error: ‘Back’ is not a member of ‘sf::Keyboard’
if(eventManager->getEvenement(sf::Keyboard::Back,EventKey))
^
/home/artur/blee/yaourt-tmp-artur/aur-holyspirit-svn/src/holyspirit/Source/Contextes/c_jeu.cpp:591:37: error: ‘Back’ is not a member of ‘sf::Keyboard’
eventManager->StopEvenement(sf::Keyboard::Back,EventKey);
^
make[2]: *** [CMakeFiles/Holyspirit.dir/Source/Contextes/c_jeu.cpp.o] Error 1
make[1]: *** [CMakeFiles/Holyspirit.dir/all] Error 2
make: *** [all] Error 2

ajes commented on 2013-04-30 11:49

Please add to build dependency: make, gcc and binutils

ajes commented on 2013-04-30 11:45

==> Starting build()...
patching file Source/main.cpp
patching file Source/configuration.cpp
patching file Source/configuration.cpp
patching file Source/Moteurs/eventManager.cpp
patching file Source/Contextes/c_mainMenu.cpp
patching file Source/Contextes/c_jeu.cpp
patching file Launcher/Launcher.h
CMake Error: CMake was unable to find a build program corresponding to "Unix Makefiles". CMAKE_MAKE_PROGRAM is not set. You probably need to select a different build tool.
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_C_COMPILER_ENV_VAR
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_C_COMPILER
CMake Error: Could not find cmake module file:/home/artur/blee/yaourt-tmp-artur/aur-holyspirit-svn/src/holyspirit/CMakeFiles/2.8.10.2/CMakeCCompiler.cmake
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_CXX_COMPILER_ENV_VAR
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_CXX_COMPILER
CMake Error: Could not find cmake module file:/home/artur/blee/yaourt-tmp-artur/aur-holyspirit-svn/src/holyspirit/CMakeFiles/2.8.10.2/CMakeCXXCompiler.cmake
CMake Error: CMAKE_C_COMPILER not set, after EnableLanguage
CMake Error: CMAKE_CXX_COMPILER not set, after EnableLanguage
-- Configuring incomplete, errors occurred!

JonnyJD commented on 2013-04-10 22:45

Updated for pacman 4.1. Quite nice, since a rebuild is MUCH faster now (even after makepkg -c). The svn download took most of the time (850 MB). The package is also 450 MB. Both because there are lots of multimedia files.

JonnyJD commented on 2013-03-01 23:17

The PKGBUILD and all patches can also be found here:
https://github.com/JonnyJD/PKGBUILDs/tree/master/holyspirit-svn

JonnyJD commented on 2013-03-01 23:15

Well, I went ahead and patched so it would work with the binary sfml package from "community".
It also needed another patch for qt, not sure why it worked before, but it did.

I only did a quick test, but I can build, install and play fine with current revision (2419 from 2013-02-06).

Have fun.

All comments